"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable @typescript-eslint/no-unused-vars */
const command_1 = require("@oclif/command");
const path = require('path');
const defaults = require('./../../config/settings.json');
const { Confirm } = require('clipprs-enquirer');
/// DATABASE ///
// initialize db
const low = require('lowdb');
const FileSync = require('lowdb/adapters/FileSync');
const adapter = new FileSync(path.join(defaults.db.path, defaults.db.filename));
const db = low(adapter);
// setup defaults //
db.defaults(defaults.db.defaults)
    .write();
/// \DATABASE ///
const confirmErasePrompt = new Confirm({
    name: 'confirm-erase',
    message: 'Are you sure you want to erase? THIS CANNOT BE UNDONE.',
});
const doublecheckErasePrompt = new Confirm({
    name: 'confirm-doublecheck',
    message: 'Are you really sure? THIS CANNOT BE UNDONE.',
});
class New extends command_1.Command {
    async run() {
        this.log(`${defaults.startupMessage} | ${defaults.version}`);
        confirmErasePrompt.run()
            .then((confirm) => {
            if (confirm) {
                doublecheckErasePrompt.run()
                    .then((doubleCheck) => {
                    db.setState(defaults)
                        .write();
                });
            }
        })
            .catch(console.error);
    }
}
exports.default = New;
New.description = 'Erase all your clips';
